## com.bbn.openmap.proj
Class UTMProjectionLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.proj.BasicProjectionLoader
                  com.bbn.openmap.proj.UTMProjectionLoader

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, ProjectionLoader, PropertyConsumer

public class UTMProjectionLoader
extends BasicProjectionLoader

Field Summary
`static java.lang.String` `ELLIPSOID`
`static java.lang.String` `ZONE_LETTER`
`static java.lang.String` `ZONE_NUMBER`

Fields inherited from class com.bbn.openmap.proj.BasicProjectionLoader
`description, DescriptionProperty, prettyName, PrettyNameProperty, projClass`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`UTMProjectionLoader()`

Method Summary
`Projection` `create(java.util.Properties props)` Create the projection with the given parameters.

Methods inherited from class com.bbn.openmap.proj.BasicProjectionLoader
`getDescription, getPrettyName, getProjectionClass, getProperties, getPropertyInfo, setDescription, setPrettyName, setProperties`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZONE_NUMBER

    public static final java.lang.String ZONE_NUMBER

See Also:
  Constant Field Values

### ZONE_LETTER

    public static final java.lang.String ZONE_LETTER

See Also:
  Constant Field Values

### ELLIPSOID

    public static final java.lang.String ELLIPSOID

See Also:
  Constant Field Values

Constructor Detail

### UTMProjectionLoader

    public UTMProjectionLoader()

Method Detail

### create

    public Projection create(java.util.Properties props)
                      throws ProjectionException

  Description copied from class: `BasicProjectionLoader`
  Create the projection with the given parameters.

  Specified by:
    `create` in interface `ProjectionLoader`
  Specified by:
    `create` in class `BasicProjectionLoader`
  Throws:
    `ProjectionException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details